Bug 476637 - Could not push package to custom channel.
Could not push package to custom channel.
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Devel
All Linux
low Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 06:38 EST by Miroslav Suchý
Modified: 2017-07-05 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-12-16 06:38:36 EST
Description of problem:
I created custome channel and I trie to push new package there and it fails

Version-Release number of selected component (if applicable):
RHN 5.0.8
Satellite 5.2.0

How reproducible:
done tree times in row

Steps to Reproduce:
1. create custom channel (in my case custom-test2)
2. rhnpush -vv -ccustom-test2 -urhnse bash-completion-20060301-1.el5.rf.noarch.rpm
  
Actual results:
Connecting to https://rhn.redhat.com/APP
Red Hat Network password:
url is https://rhn.redhat.com/PACKAGE-PUSH
Result codes: 404 Not Found
Uploading package bash-completion-20060301-1.el5.rf.noarch.rpm
Using XMLRPC
global name 'new_sat_test' is not defined
Waiting 4 seconds and trying again...
Uploading package bash-completion-20060301-1.el5.rf.noarch.rpm
Using XMLRPC
global name 'new_sat_test' is not defined
Waiting 2 seconds and trying again...
Uploading package bash-completion-20060301-1.el5.rf.noarch.rpm
Using XMLRPC
global name 'new_sat_test' is not defined
Waiting 2 seconds and trying again...
Giving up after 3 attempts

Expected results:
Package is uploaded.
Comment 1 Amy Owens 2008-12-16 12:27:04 EST
rhnpush will not work with a custom channel. Is this truly a custom channel?
Comment 2 Miroslav Suchý 2008-12-17 03:05:37 EST
It is custom channel.
Hmm. So how do I push package to custom channel? Is it supposed to work?
Comment 3 Amy Owens 2008-12-17 10:21:12 EST
you push from a proxy see notes in https://bugzilla.redhat.com/show_bug.cgi?id=476835
Comment 4 Miroslav Suchý 2008-12-17 11:13:31 EST
OK. Can we then fix the error messages to something. "Do not try push to me"?
Not sure if this message should return hosted (and current component is correct) or if we should fix rhn_push (and reassign this to satellite).
Comment 5 Thomas "Shea" DeAntonio 2017-07-05 11:13:14 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).
Comment 6 Thomas "Shea" DeAntonio 2017-07-05 11:13:55 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.